<section>
  <header>
    <h2><%= pluralize(@employees.count, 'employee') %></h2>
    <p>
      <% @programming_languages&.each do |programming_language| %>
        <% if params[:programming_languages]&.include?(programming_language.name) %>
          <a href="<%= employees_path(programming_languages: (params[:programming_languages] - [programming_language.name])) %>"><b><%= programming_language.name %></b></a>
        <% else %>
          <a href="<%= employees_path(programming_languages: (params[:programming_languages] + [programming_language.name])) %>"><i><%= programming_language.name %></i></a>
        <% end %>
      <% end %>
    </p>
  </header>
  <% @employees.each do |employee| %>
    <aside>
      <img alt="<%= employee.login %>" src="https://avatars.githubusercontent.com/u/<%= employee.id %>?v=4" height="128">
      <h2><%= employee.login %></h2>
      <p>
      <% employee.programming_languages.each do |programming_language, count| %>
        <sup><%= programming_language %>&nbsp;(<%= count %>)</sup>
      <% end %>
      </p>
    </aside>
  <% end %>
</section>
